create_via

Primitives3DLayout.create_via(padstack='PlanarEMVia', x=0, y=0, rotation=0, hole_diam=None, top_layer=None, bot_layer=None, name=None, netname=None)[source]

Create a via based on an existing padstack.

Parameters
padstackstr, optional

Name of the padstack. The default is "PlanarEMVia".

xfloat, optional

Position on the X axis. The default is 0.

yfloat, optional

Position on the Y axis. The default is 0.

rotationfloat, optional

Angle rotation in degrees. The default is 0.

hole_diam

Diameter of the hole. The default is None, in which case the override is disabled.

top_layerstr, optional

Top layer. The default is None.

bot_layerstr, optional

Bottom layer. The default is None.

namestr, optional

Name of the via. The default is None, in which case the default name is assigned.

netnamestr, optional

Name of the net. The default is None, in which case the default name is assigned.

Returns
str

Name of the via created when successful.

References

>>> oEditor.CreateVia